<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="text-block openk-drag-element">
  <div class="text-block--container">
    <div class="text-block--container--icon">
      <mat-icon *ngIf="appTextBlockModel?.diffType === 'CHANGED' || appTextBlockModel?.diffType === 'DELETED'"
                class="text-block--container--icon---size text-block--container--icon---red">remove
      </mat-icon>
      <mat-icon *ngIf="appTextBlockModel?.diffType === 'NEW'"
                class="text-block--container--icon---size text-block--container--icon---green">add
      </mat-icon>
    </div>
    <div class="text-block---new"
         [class.text-block--modified---top]="appTextBlockModel?.diffType === 'CHANGED'"
         [class.text-block--modified--color---deleted]="appTextBlockModel?.diffType === 'DELETED'"
         [class.text-block--modified--color---new]="appTextBlockModel?.diffType === 'NEW'">
      <div class="text-block--title-bar">
        <span class="text-block--title-bar--title">
          <ng-container *ngIf="appTextBlockModel?.type === 'block'">
            {{'textBlocks.textBlock' | translate}}
          </ng-container>
          {{appTextBlockModel | getHistoryBlockTitle | translate}}
        </span>
      </div>

      <div class="text-block--text">
        <span>{{appTextBlockModel?.diffType === 'CHANGED' || appTextBlockModel?.diffType === 'DELETED'
          ? appTextBlockModel?.prevText
          : appTextBlockModel?.text}}
        </span>
      </div>
      <app-display-user-info *ngIf="appTextBlockModel?.diffType !== 'NEW'"
                             [appTextBlockModel]="appTextBlockModel?.prevVersion"></app-display-user-info>
      <app-display-user-info *ngIf="appTextBlockModel?.diffType === 'NEW'"
        [appTextBlockModel]="appTextBlockModel"></app-display-user-info>
    </div>
  </div>
  <div *ngIf="appTextBlockModel?.diffType === 'CHANGED'" class="text-block--container">
    <div class="text-block--container--icon">
      <mat-icon class="text-block--container--icon---size text-block--container--icon---green">add</mat-icon>
    </div>
    <div class="text-block--modified---bottom">
      <div class="text-block--title-bar">
        <span class="text-block--title-bar--title">
          <ng-container *ngIf="appTextBlockModel?.type === 'block'">
            {{'textBlocks.textBlock' | translate}}
          </ng-container>
          {{appTextBlockModel | getHistoryBlockTitle | translate}}
        </span>
      </div>

      <div class="text-block--text">
        <span>{{appTextBlockModel?.text}}</span>
      </div>

    <app-display-user-info [appTextBlockModel]="appTextBlockModel"></app-display-user-info>
    </div>
  </div>
</div>


